# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Summary:	Miscellaneous timezone manipulation routines
Name:		perl-TimeDate
Epoch:		1
Version:	1.20
Release:	6.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/TimeDate/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/TimeDate-%{version}.tar.gz
Patch0:		TimeDate-1.20-utf8.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(Carp)
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module includes a number of smaller modules suited for manipulation of
time and date strings with Perl. In particular, the Date::Format and
Date::Parse modules can display and read times and dates in various formats,
providing a more reliable interface to textual representations of points in
time.

%prep
%setup -q -n TimeDate-%{version}

# ChangeLog is ISO-8859-1 encoded - make it UTF-8
%patch0 -p1

# Bogus exec permissions on some language modules
chmod -c -x lib/Date/Language/{Russian_cp1251,Russian_koi8r,Turkish}.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/Date/Format.pm
%{perl_vendorlib}/Date/Language.pm
%{perl_vendorlib}/Date/Language/
%{perl_vendorlib}/Date/Parse.pm
%{perl_vendorlib}/Time/Zone.pm
%{_mandir}/man3/Date::Format.3pm*
%{_mandir}/man3/Date::Language.3pm*
%{_mandir}/man3/Date::Language::Hungarian.3pm*
%{_mandir}/man3/Date::Parse.3pm*
%{_mandir}/man3/Time::Zone.3pm*

%changelog
* Fri Oct  7 2011 Paul Howarth <paul@city-fan.org> 1:1.20-6
- Use a patch rather than scripted iconv to fix character encoding
- Fix dist tag for CentOS 6 and Scientific Linux
- BR: perl(Carp)

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> 1:1.20-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1:1.20-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> 1:1.20-2
- Fix dist tag for RHEL-6 Beta

* Mon Dec 21 2009 Paul Howarth <paul@city-fan.org> 1:1.20-1
- Update to 1.20
  - Fix typo => s/timezome/timezone/
  - CPAN RT#52387 Fix %%s formating to use timelocal when no timezone is given
  - CPAN RT#51664 fix str2time('16 Oct 09') to not give a negative result
- Dist tag for Rawhide no longer needs special-casing

* Sat Sep 26 2009 Paul Howarth <paul@city-fan.org> 1:1.19-1
- Update to 1.19 (replace Date::Language::Hungarian with version from CPAN)

* Fri Sep 25 2009 Paul Howarth <paul@city-fan.org> 1:1.18-1
- Update to 1.18 (added Date::Language::Hungarian)

* Mon Sep 21 2009 Paul Howarth <paul@city-fan.org> 1:1.17-1
- Update to 1.17 (many bug fixes, including CPAN RT#45067, 48164, 17396)
- New manpage for Date::Language
- Danish.pm now has proper line endings but various files have bogus exec
  permissions that need fixing

* Sun Nov  2 2008 Paul Howarth <paul@city-fan.org> 1:1.16-4
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Recode ChangeLog as UTF8

* Sun Mar 18 2007 Paul Howarth <paul@city-fan.org> 1:1.16-3
- Fix dist tag for development releases and Fedora 7 onwards
- Don't need to define %%{perl_vendorarch} for noarch package
- Don't need to specify compiler optimization flags for noarch package
- Remove %%{__perl_version} macro, used only once
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org download URL
- BuildRequire perl(ExtUtils::MakeMaker)

* Fri Jun  3 2005 Paul Howarth <paul@city-fan.org> 1:1.16-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1:1.16-1
- update to 1.16, bump epoch since previous version was 1.1301

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
- update to 1.301

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Oct 24 2001 root <root@redhat.com>
- Spec file was autogenerated. 
